Package org.eclipse.emf.spi.cdo

# Class InternalCDOTransaction.ApplyChangeSetResult

java.lang.Object
org.eclipse.emf.spi.cdo.InternalCDOTransaction.ApplyChangeSetResult

Enclosing interface:
  InternalCDOTransaction

public static final class InternalCDOTransaction.ApplyChangeSetResult extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ApplyChangeSetResult()`

## Method Summary

Modifier and Type
Method
Description
`List<CDOID>`
`getAdjustedObjects()`
`CDOChangeSetData`
`getChangeSetData()`
`Map<CDOID,CDOID>`
`getIDMappings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplyChangeSetResult

public ApplyChangeSetResult()

## Method Details

### getChangeSetData

public CDOChangeSetData getChangeSetData()

### getIDMappings

public Map<CDOID,CDOID> getIDMappings()

### getAdjustedObjects

public List<CDOID> getAdjustedObjects()